#include "tests/ArrayListTests.h"
#include "tests/ArrayTests.h"
#include "tests/BitArrayTests.h"
#include "tests/HashMapTests.h"
#include "tests/LinkedListTests.h"
#include "tests/ListTests.h"
#include "tests/MathTests.h"
#include "tests/StringTests.h"
#include "tests/UniquePointerTests.h"
#include "tests/UtilityTests.h"

int main() {
    Core::ArrayTests::test();
    Core::StringTests::test();
    Core::UtilityTests::test();
    Core::ArrayListTests::test();
    Core::BitArrayTests::test();
    Core::MathTests::test();
    Core::ListTests::test();
    Core::LinkedListTests::test();
    Core::HashMapTests::test();
    Core::UniquePointerTests::test();
    return 0;
}
